<template>
  <div class="container">
    <div>
      <fuckyshit />
      <h1 class="title">
        NopeHope
      </h1>
      <div class="para">
          <h2 class = "subtitle">About Me</h2>
        <p>
          Hi, I'm NopeHope. A person whos been studying Comp Sci at ARU for the last three years. Currently looking at specialising in embedded computing. But hey who knows what will happen.
        </p>
      </div>
    </div>
  </div>
</template>

<script>
import fuckyshit from '../components/fuckyshit.vue';
import NotButton from '../components/not-button.vue';
export default {
  components: { fuckyshit, NotButton }
}

</script>

<style>
html{
  background: #fdfbee;
}

.container {
  margin: 0 auto;
  display: flex;
  min-height: 15vh;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding-bottom: 10vh;
}

.title {
  font-family:
    'Quicksand',
    'Source Sans Pro',
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  display: block;
  font-weight: 300;
  color: #7c640c;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.para {
  font-family:
    'Quicksand',
    'Source Sans Pro',
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  display: block;
  font-weight: 100;
  color: #35495e;
  letter-spacing: 1px;
  padding-left: 20%;
  padding-right: 20%;
}

@media screen and (min-width: 601px) {
  .title {
    font-size: 100px;
  }
  .subtitle{
    font-size: 50px;
  }
  .para{
    font-size: 30px;
  }

}

@media screen and (max-width: 600px) {
  .title {
    font-size: 50px;
  }
  .subtitle{
    font-size: 40px;
  }
  .para{
    font-size: 30px;
  }
}

.links {
  padding-top: 15px;
}

.header{
  padding-top: 3vh;
}
</style>
